### Property

# Gio DtlsConnection:base-socket

since: 2.48

#### Declaration

    property base-socket: Gio.DatagramBased [ read, write, construct-only ]

#### Description [src]

The `GDatagramBased` that the connection wraps. Note that this may be any implementation of `GDatagramBased`, not just a `GSocket`.

Type:`GDatagramBased`

Available since: 2.48

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes